## FILE:     mileage.py
## AUTHOR:   Eugene Wallingford
## DATE:     07/21/2014
## COMMENT:  Compute aggregate mileage from consecutive periods
##           at different average paces
##
## MODIFIED: 07/23/2014  --  Eugene Wallingford
## CHANGE:   Added computation of total time
##

times = [67.5, 71.5, 78.5, 88.0, 108.0, 112.5]
speed = [13.1, 13.7, 14.3, 15.1, 15.9]

mileage = 0.0
for i in range(0, len(speed)):
    range_speed  = speed[i]
    range_length = times[i+1] - times[i]
    mileage += (range_speed * range_length/60)
print mileage
print times[-1] - times[0]
